:root {
  --dim-header-height: 80px;
  --dim-footer-height: 100px;

  --color-orange-dark: #556b31;
  --color-orange-medium: #98a946;
  --color-orange-light: #dada48;

  --color-primary-dark: #164261;
  --color-primary-medium: #6d9aad;
  --color-primary-light: #98c3d5;

  --color-secondary-dark: #5a3a0b;
  --color-secondary-medium: #d18c27;
  --color-secondary-light: rgb(225, 179, 50);

  --color-gray-light: #f6f6f6;
  --color-gray: #878787;
}

html {
  height: 100%;
  background: var(--color-orange-dark);
  background: linear-gradient(145deg, var(--color-orange-dark) 0%, var(--color-orange-light) 100%);
  background-attachment: fixed;
  font-family: system-ui;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: unset;
}

body>main,
body>header,
body>main>header {
  max-width: 1200px;
  margin: auto;
}

body>header {
  position: relative;
  container: hero / inline-size;
  /* text-align: center; */

  height: 350px;

  background-image: var(--background);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50%;
}

body>header {
  font-size: 1em;
  padding-top: 2rem;
  text-align: center;
  margin-bottom: .5rem;
  box-shadow: 0 0 1em 0px black;
}

body>header>.logo {
  position: absolute;
  right: 15px;
  top: 5px;
  height: 180px;
  border-radius: calc(180px / 2);
}

body>header>div {
  position: absolute;
  bottom: 1em;
  width: 100%;
  background-color: rgba(255, 255, 255, .8);
  display: flex;
  flex-direction: column;
  padding: .5rem 0 .7rem;
}

@container hero (min-width: 580px) {
  body>header {
    font-size: 1em;
  }
}

body>header h1 {
  font-weight: lighter;
  font-size: 3em;
  line-height: 1em;
  margin-bottom: .5rem;
}

h3 {
  line-height: 1.5em;
}

header p {
  margin-top: 1rem;
  font-size: 1.2em;
}

.subheadline::after {
  content: attr(data-subheadline);
  display: block;
  font-weight: bold;
  font-size: .4em;
  text-transform: uppercase;
}

body>main {
  padding-bottom: calc(var(--dim-footer-height) + 1rem);
}

body>main {
  padding: .5rem;
  margin-bottom: 100px;
}

body>main section {
  margin: .5rem;
  border-radius: 1rem;
  overflow: clip;
  display: flex;
  flex-direction: column;
  padding: .5rem;

  align-items: flex-start;

  background: var(--color-orange-dark);
  /* background: linear-gradient(145deg, var(--color-primary-medium) 0%, gray 100%); */
  color: white;
}

section>main {
  padding: 1rem;
  flex: 1;
  width: 100%;
}

body>main section.raised {
  background: var(--color-secondary-dark);
  background: linear-gradient(145deg, var(--color-secondary-dark) 0%, var(--color-secondary-medium) 100%);
  color: white;
  align-items: flex-start;
  box-shadow: 0 0 10px -2px black;
}

body>main section.highlight {
  background: var(--color-primary-dark);
  background: linear-gradient(145deg, var(--color-primary-dark) 0%, var(--color-primary-medium) 100%);
  box-shadow: 0 0 10px -2px black;
  color: white;
}

section h2 {
  margin-bottom: .25em;
}

body>main section>.image {
  flex: 0 1 auto;
  background-image: var(--background);
  height: 250px;
  width: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50%;
}

body>main section .image {
  border-radius: calc(1rem - .5rem);
}

p {
  line-height: 1.5em;
  margin-top: .5em;
  margin-bottom: .5em;
}

body>main section.vertical {
  border-radius: 1rem;
  padding: 0;
  flex-direction: column;
}

body>main section.vertical>.image {
  width: 100%;
  border-radius: 0;
}

body>main>h1 {
  place-self: center;
  font-weight: lighter;
  font-size: 2em;
  margin: 1rem;
}

.section-list>div {
  display: flex;
  flex-wrap: wrap;
}

.section-list>div>section {
  flex: 1 0 300px;
}

.section-list>div>section h2 {
  font-size: 1.2em;
  margin-bottom: 1.2rem;
}

.section-list>div>section .image {
  width: 200px;
  height: 200px;
}

footer {
  container-type: size;
  font-size: 1em;
}

footer>div {
  position: fixed;
  bottom: 0;
  width: calc(100% - 2rem);
  margin: 0 1rem 0 1rem;

  background-color: var(--color-gray-light);
  box-shadow: 0 0 10px black;
  height: var(--dim-footer-height);

  text-align: center;
  align-content: center;
  justify-items: center;

  padding-bottom: .5rem;
  border-top-left-radius: 1rem;
  border-top-right-radius: 1rem;
}

.button {
  display: block;
  padding: 1rem;
  background-color: var(--color-primary-dark);
  text-decoration: none;
  color: var(--color-gray-light);
  border-radius: .5rem;
  text-align: center;
  font-weight: bold;
}

.button:hover {
  background-color: var(--color-primary-medium);
}

.button.callout {
  background-color: var(--color-orange-dark);
  color: var(--color-gray-light);
}
.button.callout:hover {
  background-color: var(--color-orange-medium);
}

@container (max-width: 450px) {
  footer>div {
    font-size: .8em;
  }
}

.checklist {
  font-weight: bold;
  list-style-type: '\2713'
}

.sunlist {
  font-weight: bold;
  list-style-type: '\2600'
}

ul {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

li {
  padding-left: .5rem;
  margin-left: 1rem;
  font-weight: normal;
  line-height: 2rem;
}

@media (min-width: 730px) {
  body>main>h1 {
    font-size: 3em;
    line-height: 2em;
  }

  header h1 {
    font-weight: lighter;
    font-size: 2em;
  }

  body>main section {
    flex-direction: row;
    padding: 1rem;
  }

  body>main section:has(.image) {
    border-top-left-radius: 80px;
  }

  section>main {
    padding: 1rem 1.5rem;
  }

  body>main section>.image {
    width: 250px;
  }

  body>main section:not(.vertical)>.image,
  body>main section:not(.vertical)>.image {
    border-top-left-radius: calc(80px - 1rem);
  }

  body>main section.vertical h2 {
    height: 2.5em;
  }
}